Bug 421726 - kmail crashes opening message with QR code attached
Summary: kmail crashes opening message with QR code attached
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.14.1
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-05-18 10:25 UTC by Victor Mataré
Modified: 2020-10-15 04:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Mataré 2020-05-18 10:25:08 UTC
Application: kmail (5.14.1 (20.04.0))
 (Compiled from sources)
Qt Version: 5.14.2
Frameworks Version: 5.70.0
Operating System: Linux 5.6.13-gentoo_lorbeer x86_64
Windowing system: X11
Distribution: Gentoo/Linux

-- Information about the crash:
- What I was doing when the application crashed:
Clicking on a message with an attached QR code in a png file. Message never gets displayed or marked as read. Happens in akonadiconsole as well. Note the this == 0x0 in Grantlee::TemplateImpl::render

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ff72dade040 (LWP 214996))]

Thread 50 (Thread 0x7ff63aeaa700 (LWP 215095)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584ce08b444) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584ce08b3f0, cond=0x5584ce08b418) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584ce08b418, mutex=0x5584ce08b3f0) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 49 (Thread 0x7ff651207700 (LWP 215094)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cde22d60) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cde22d10, cond=0x5584cde22d38) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cde22d38, mutex=0x5584cde22d10) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 48 (Thread 0x7ff651e08700 (LWP 215093)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cdda95e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cdda9590, cond=0x5584cdda95b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cdda95b8, mutex=0x5584cdda9590) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 47 (Thread 0x7ff652ffd700 (LWP 215089)):
#0  0x00007ff741206d8f in __GI___poll (fds=0x7ff648004a30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff73dfc700e in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff73dfc712f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff741887c6b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007ff74183044b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007ff74167b09e in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007ff74167c0ef in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 46 (Thread 0x7ff6537fe700 (LWP 215075)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7ff6537fd978) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7ff6537fd928, cond=0x7ff6537fd950) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7ff6537fd950, mutex=0x7ff6537fd928) at pthread_cond_wait.c:638
#3  0x00007ff738346d2c in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x0000000000000000 in  ()

Thread 45 (Thread 0x7ff653fff700 (LWP 215058)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7ff653ffe978) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7ff653ffe928, cond=0x7ff653ffe950) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7ff653ffe950, mutex=0x7ff653ffe928) at pthread_cond_wait.c:638
#3  0x00007ff738346d2c in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x0000000000000000 in  ()

Thread 44 (Thread 0x7ff670ff9700 (LWP 215057)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7ff65c011574) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7ff65c011520, cond=0x7ff65c011548) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7ff65c011548, mutex=0x7ff65c011520) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 43 (Thread 0x7ff6717fa700 (LWP 215056)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x7ff6717f9730, clockid=<optimized out>, expected=0, futex_word=0x7ff6717f9858) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff6717f9730, clockid=<optimized out>, mutex=0x7ff6717f9808, cond=0x7ff6717f9830) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7ff6717f9830, mutex=0x7ff6717f9808, abstime=0x7ff6717f9730) at pthread_cond_wait.c:656
#3  0x00007ff738346e26 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x000000000001082e in  ()
#5  0x0000000018701762 in  ()
#6  0x0000000000010826 in  ()
#7  0x00000000296dbb32 in  ()
#8  0x0000000000000000 in  ()

Thread 42 (Thread 0x7ff671ffb700 (LWP 215053)):
#0  __lll_lock_wait_private (futex=0x7ff7412d57d0 <_IO_stdfile_2_lock>) at ./lowlevellock.c:35
#1  0x00007ff74117b6f6 in buffered_vfprintf (s=s@entry=0x7ff7412d45c0 <_IO_2_1_stderr_>, format=format@entry=0x7ff73213ad58 "[%s] %s\n", args=args@entry=0x7ff671ffa1e0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:2381
#2  0x00007ff741178584 in __vfprintf_internal (s=0x7ff7412d45c0 <_IO_2_1_stderr_>, format=0x7ff73213ad58 "[%s] %s\n", ap=ap@entry=0x7ff671ffa1e0, mode_flags=2) at vfprintf-internal.c:1346
#3  0x00007ff741220197 in ___fprintf_chk (fp=<optimized out>, flag=<optimized out>, format=<optimized out>) at fprintf_chk.c:33
#4  0x00007ff732122bbe in  () at /usr/lib64/libevent-2.1.so.7
#5  0x00007ff732122ded in event_warn () at /usr/lib64/libevent-2.1.so.7
#6  0x00007ff732124618 in  () at /usr/lib64/libevent-2.1.so.7
#7  0x00007ff732119f29 in event_base_loop () at /usr/lib64/libevent-2.1.so.7
#8  0x00007ff73834e20d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x0001005b0000006e in  ()
#10 0x00007ff671ffa900 in  ()
#11 0x00007ff671ffa8f8 in  ()
#12 0x0000000000000000 in  ()

Thread 41 (Thread 0x7ff6727fc700 (LWP 215052)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x7ff6727fb730, clockid=<optimized out>, expected=0, futex_word=0x7ff6727fb858) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff6727fb730, clockid=<optimized out>, mutex=0x7ff6727fb808, cond=0x7ff6727fb830) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7ff6727fb830, mutex=0x7ff6727fb808, abstime=0x7ff6727fb730) at pthread_cond_wait.c:656
#3  0x00007ff738346e26 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x000000000001083a in  ()
#5  0x00000000155f41c1 in  ()
#6  0x000000000001082c in  ()
#7  0x000000002e9b66a1 in  ()
#8  0x0000000000000000 in  ()

Thread 40 (Thread 0x7ff672ffd700 (LWP 215051)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7ff672ffc868) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7ff672ffc818, cond=0x7ff672ffc840) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7ff672ffc840, mutex=0x7ff672ffc818) at pthread_cond_wait.c:638
#3  0x00007ff738346d2c in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x0000000000000000 in  ()

Thread 39 (Thread 0x7ff6737fe700 (LWP 215050)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd4a873c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd4a8678, cond=0x5584cd4a8710) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd4a8710, mutex=0x5584cd4a8678) at pthread_cond_wait.c:638
#3  0x00007ff738346d2c in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x0000000000000000 in  ()

Thread 38 (Thread 0x7ff673fff700 (LWP 215049)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x7ff673ffe840, clockid=<optimized out>, expected=0, futex_word=0x7ff673ffe968) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff673ffe840, clockid=<optimized out>, mutex=0x7ff673ffe918, cond=0x7ff673ffe940) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7ff673ffe940, mutex=0x7ff673ffe918, abstime=0x7ff673ffe840) at pthread_cond_wait.c:656
#3  0x00007ff738346e26 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x000000000001083d in  ()
#5  0x000000000b1e0be5 in  ()
#6  0x000000000001081c in  ()
#7  0x000000000b1e0fcd in  ()
#8  0x0000000000000000 in  ()

Thread 37 (Thread 0x7ff6917fa700 (LWP 215047)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x7ff6917f9840, clockid=<optimized out>, expected=0, futex_word=0x7ff6917f9968) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff6917f9840, clockid=<optimized out>, mutex=0x7ff6917f9918, cond=0x7ff6917f9940) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7ff6917f9940, mutex=0x7ff6917f9918, abstime=0x7ff6917f9840) at pthread_cond_wait.c:656
#3  0x00007ff738346e26 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x000000000001083d in  ()
#5  0x000000000b1e87d7 in  ()
#6  0x000000000001081c in  ()
#7  0x000000000b1e8bbf in  ()
#8  0x0000000000000000 in  ()

Thread 36 (Thread 0x7ff691ffb700 (LWP 215046)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x7ff691ffa840, clockid=<optimized out>, expected=0, futex_word=0x7ff691ffa968) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff691ffa840, clockid=<optimized out>, mutex=0x7ff691ffa918, cond=0x7ff691ffa940) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7ff691ffa940, mutex=0x7ff691ffa918, abstime=0x7ff691ffa840) at pthread_cond_wait.c:656
#3  0x00007ff738346e26 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x000000000001083d in  ()
#5  0x000000000b1eb21b in  ()
#6  0x000000000001081c in  ()
#7  0x000000000b1eb603 in  ()
#8  0x0000000000000000 in  ()

Thread 35 (Thread 0x7ff6927fc700 (LWP 215045)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x7ff6927fb840, clockid=<optimized out>, expected=0, futex_word=0x7ff6927fb968) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff6927fb840, clockid=<optimized out>, mutex=0x7ff6927fb918, cond=0x7ff6927fb940) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7ff6927fb940, mutex=0x7ff6927fb918, abstime=0x7ff6927fb840) at pthread_cond_wait.c:656
#3  0x00007ff738346e26 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x0000000000010847 in  ()
#5  0x000000001e274c5c in  ()
#6  0x0000000000010826 in  ()
#7  0x000000001e274c5c in  ()
#8  0x0000000000000000 in  ()

Thread 34 (Thread 0x7ff692ffd700 (LWP 215044)):
#0  __GI___libc_write (nbytes=39, buf=0x7ff692ff9bf0, fd=2) at ../sysdeps/unix/sysv/linux/write.c:26
#1  __GI___libc_write (fd=2, buf=0x7ff692ff9bf0, nbytes=39) at ../sysdeps/unix/sysv/linux/write.c:24
#2  0x00007ff74118f925 in _IO_new_file_write (f=0x7ff7412d45c0 <_IO_2_1_stderr_>, data=0x7ff692ff9bf0, n=39) at fileops.c:1176
#3  0x00007ff74118ec66 in new_do_write (fp=fp@entry=0x7ff7412d45c0 <_IO_2_1_stderr_>, data=data@entry=0x7ff692ff9bf0 "[warn] epoll_wait: Bad file descriptor\n", to_do=to_do@entry=39) at libioP.h:948
#4  0x00007ff74119007e in _IO_new_file_xsputn (n=39, data=<optimized out>, f=<optimized out>) at fileops.c:1255
#5  _IO_new_file_xsputn (f=0x7ff7412d45c0 <_IO_2_1_stderr_>, data=<optimized out>, n=39) at fileops.c:1197
#6  0x00007ff74117b5d3 in buffered_vfprintf (s=s@entry=0x7ff7412d45c0 <_IO_2_1_stderr_>, format=format@entry=0x7ff73213ad58 "[%s] %s\n", args=args@entry=0x7ff692ffc1c0, mode_flags=mode_flags@entry=2) at ../libio/libioP.h:948
#7  0x00007ff741178584 in __vfprintf_internal (s=0x7ff7412d45c0 <_IO_2_1_stderr_>, format=0x7ff73213ad58 "[%s] %s\n", ap=ap@entry=0x7ff692ffc1c0, mode_flags=2) at vfprintf-internal.c:1346
#8  0x00007ff741220197 in ___fprintf_chk (fp=<optimized out>, flag=<optimized out>, format=<optimized out>) at fprintf_chk.c:33
#9  0x00007ff732122bbe in  () at /usr/lib64/libevent-2.1.so.7
#10 0x00007ff732122ded in event_warn () at /usr/lib64/libevent-2.1.so.7
#11 0x00007ff732124618 in  () at /usr/lib64/libevent-2.1.so.7
#12 0x00007ff732119f29 in event_base_loop () at /usr/lib64/libevent-2.1.so.7
#13 0x00007ff73834e2ea in  () at /usr/lib64/libQt5WebEngineCore.so.5
#14 0x0001005b0000006e in  ()
#15 0x00007ff692ffc8e0 in  ()
#16 0x00007ff692ffc8d8 in  ()
#17 0x0000000fbefe4ff8 in  ()
#18 0x0000000000000008 in  ()
#19 0x0000000010e45de9 in  ()
#20 0x000000000000011b in  ()
#21 0x0000000000062129 in  ()
#22 0x00007ff692ffca60 in  ()
#23 0x00005584cd43dab0 in  ()
#24 0x7fffffffffffffff in  ()
#25 0x0000000000000001 in  ()
#26 0x00007ff692ffc9b8 in  ()
#27 0x00007ff692ffca60 in  ()
#28 0x00007ff692ffc960 in  ()
#29 0x00007ff7383081df in  () at /usr/lib64/libQt5WebEngineCore.so.5
#30 0x00007ff692ffc9b8 in  ()
#31 0x7fffffffffffffff in  ()
#32 0x00007ff692ffc960 in  ()
#33 0x00007ff692ffca60 in  ()
#34 0x7fffffffffffffff in  ()
#35 0x00007ff692ffc9b0 in  ()
#36 0x00007ff692ffca20 in  ()
#37 0x00007ff7382e7719 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#38 0x0000000000000000 in  ()

Thread 33 (Thread 0x7ff6937fe700 (LWP 215043)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x7ff6937fd840, clockid=<optimized out>, expected=0, futex_word=0x7ff6937fd968) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7ff6937fd840, clockid=<optimized out>, mutex=0x7ff6937fd918, cond=0x7ff6937fd940) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7ff6937fd940, mutex=0x7ff6937fd918, abstime=0x7ff6937fd840) at pthread_cond_wait.c:656
#3  0x00007ff738346e26 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x0000000000010847 in  ()
#5  0x000000001e2ea150 in  ()
#6  0x0000000000010826 in  ()
#7  0x000000001e2ea538 in  ()
#8  0x0000000000000000 in  ()

Thread 32 (Thread 0x7ff693fff700 (LWP 215042)):
#0  __lll_lock_wait_private (futex=0x7ff7412d57d0 <_IO_stdfile_2_lock>) at ./lowlevellock.c:35
#1  0x00007ff74117b6f6 in buffered_vfprintf (s=s@entry=0x7ff7412d45c0 <_IO_2_1_stderr_>, format=format@entry=0x7ff73213ad58 "[%s] %s\n", args=args@entry=0x7ff693ffe1c0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:2381
#2  0x00007ff741178584 in __vfprintf_internal (s=0x7ff7412d45c0 <_IO_2_1_stderr_>, format=0x7ff73213ad58 "[%s] %s\n", ap=ap@entry=0x7ff693ffe1c0, mode_flags=2) at vfprintf-internal.c:1346
#3  0x00007ff741220197 in ___fprintf_chk (fp=<optimized out>, flag=<optimized out>, format=<optimized out>) at fprintf_chk.c:33
#4  0x00007ff732122bbe in  () at /usr/lib64/libevent-2.1.so.7
#5  0x00007ff732122ded in event_warn () at /usr/lib64/libevent-2.1.so.7
#6  0x00007ff732124618 in  () at /usr/lib64/libevent-2.1.so.7
#7  0x00007ff732119f29 in event_base_loop () at /usr/lib64/libevent-2.1.so.7
#8  0x00007ff73834e2ea in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00017ff693ffe9b8 in  ()
#10 0x00007ff693ffe8e0 in  ()
#11 0x00007ff693ffe8d8 in  ()
#12 0x0000000fbefe4fe6 in  ()
#13 0x00007ff693ffe9b8 in  ()
#14 0x0000000001b1595c in  ()
#15 0x000000000000001c in  ()
#16 0x0000000000061a5c in  ()
#17 0x0000000000000000 in  ()

Thread 31 (Thread 0x7ff6c2ffd700 (LWP 215034)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ff74167e1f8 in  () at /usr/lib64/libQt5Core.so.5
#2  0x00007ff708254ff4 in  () at /usr/lib64/qt5/plugins/texttospeech/libqttexttospeech_flite.so
#3  0x00007ff74167c0ef in  () at /usr/lib64/libQt5Core.so.5
#4  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 30 (Thread 0x7ff6c37fe700 (LWP 215032)):
#0  0x00007fffdfffb906 in clock_gettime ()
#1  0x00007ff7411d7011 in __GI___clock_gettime (clock_id=1, tp=0x7ff6c37fd7f0) at ../sysdeps/unix/sysv/linux/clock_gettime.c:38
#2  0x00007ff741887471 in  () at /usr/lib64/libQt5Core.so.5
#3  0x00007ff741885f59 in QTimerInfoList::updateCurrentTime() () at /usr/lib64/libQt5Core.so.5
#4  0x00007ff741886375 in QTimerInfoList::timerWait(timespec&) () at /usr/lib64/libQt5Core.so.5
#5  0x00007ff74188792c in  () at /usr/lib64/libQt5Core.so.5
#6  0x00007ff7418879ce in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007ff73dfc656d in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#8  0x00007ff73dfc6f33 in  () at /usr/lib64/libglib-2.0.so.0
#9  0x00007ff73dfc712f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#10 0x00007ff741887c6b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#11 0x00007ff74183044b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#12 0x00007ff74167b09e in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#13 0x00007ff74167c0ef in  () at /usr/lib64/libQt5Core.so.5
#14 0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#15 0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7ff6c8dea700 (LWP 215024)):
#0  0x00007ff73e015ef9 in g_mutex_lock () at /usr/lib64/libglib-2.0.so.0
#1  0x00007ff73dfc6578 in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff73dfc6f33 in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff73dfc712f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007ff741887c6b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007ff74183044b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#6  0x00007ff74167b09e in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#7  0x00007ff74167c0ef in  () at /usr/lib64/libQt5Core.so.5
#8  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7ff6c95eb700 (LWP 215023)):
#0  0x00007ff741206d8f in __GI___poll (fds=0x7ff6a4004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff73dfc700e in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff73dfc712f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff741887c6b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007ff74183044b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007ff74167b09e in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007ff74167c0ef in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7ff6c9dec700 (LWP 215022)):
#0  0x00007ff73dfc4ea8 in g_source_ref () at /usr/lib64/libglib-2.0.so.0
#1  0x00007ff73dfc4f88 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff73dfc649b in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff73dfc6f33 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007ff73dfc712f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#5  0x00007ff741887c6b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#6  0x00007ff74183044b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#7  0x00007ff74167b09e in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#8  0x00007ff74167c0ef in  () at /usr/lib64/libQt5Core.so.5
#9  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7ff6caffd700 (LWP 215021)):
#0  0x00007ff741206d8f in __GI___poll (fds=0x7ff6ac03a000, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff73dfc700e in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff73dfc712f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff741887c6b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007ff74183044b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007ff74167b09e in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007ff740d28557 in  () at /usr/lib64/libQt5DBus.so.5
#7  0x00007ff74167c0ef in  () at /usr/lib64/libQt5Core.so.5
#8  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7ff6cb7fe700 (LWP 215020)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd1971a0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd197150, cond=0x5584cd197178) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd197178, mutex=0x5584cd197150) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7ff6cbfff700 (LWP 215019)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0cecd8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0cec88, cond=0x5584cd0cecb0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0cecb0, mutex=0x5584cd0cec88) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7ff6c3fff700 (LWP 215018)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0cecd8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0cec88, cond=0x5584cd0cecb0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0cecb0, mutex=0x5584cd0cec88) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7ff6e8ff9700 (LWP 215017)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0cecd8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0cec88, cond=0x5584cd0cecb0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0cecb0, mutex=0x5584cd0cec88) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7ff6e97fa700 (LWP 215016)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0cecd8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0cec88, cond=0x5584cd0cecb0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0cecb0, mutex=0x5584cd0cec88) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7ff6e9ffb700 (LWP 215015)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0cecd8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0cec88, cond=0x5584cd0cecb0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0cecb0, mutex=0x5584cd0cec88) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7ff6ea7fc700 (LWP 215014)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7ff6eaffd700 (LWP 215013)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7ff6eb7fe700 (LWP 215012)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7ff6ebfff700 (LWP 215011)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7ff708ff9700 (LWP 215010)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7ff7097fa700 (LWP 215009)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7ff709ffb700 (LWP 215008)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7ff70a7fc700 (LWP 215007)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7ff70affd700 (LWP 215006)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7ff70b7fe700 (LWP 215005)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7ff70bfff700 (LWP 215004)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7ff720fba700 (LWP 215003)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ce5d0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ce580, cond=0x5584cd0ce5a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ce5a8, mutex=0x5584cd0ce580) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7ff7217bb700 (LWP 215002)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7ff728005ab8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7ff728005a68, cond=0x7ff728005a90) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7ff728005a90, mutex=0x7ff728005a68) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7ff721fbc700 (LWP 215001)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7ff728005ab8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7ff728005a68, cond=0x7ff728005a90) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7ff728005a90, mutex=0x7ff728005a68) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7ff7227bd700 (LWP 215000)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7ff728005ab8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7ff728005a68, cond=0x7ff728005a90) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7ff728005a90, mutex=0x7ff728005a68) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7ff722fbe700 (LWP 214999)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7ff728005ab8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7ff728005a68, cond=0x7ff728005a90) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7ff728005a90, mutex=0x7ff728005a68) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7ff723914700 (LWP 214998)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5584cd0ca2a8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5584cd0ca258, cond=0x5584cd0ca280) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5584cd0ca280, mutex=0x5584cd0ca258) at pthread_cond_wait.c:638
#3  0x00007ff7275c4d1b in  () at /usr/lib64/dri/radeonsi_dri.so
#4  0x00007ff7275c4927 in  () at /usr/lib64/dri/radeonsi_dri.so
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7ff72cc4f700 (LWP 214997)):
#0  0x00007ff741206d8f in __GI___poll (fds=0x7ff72cc4e998, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff73de51cbd in  () at /usr/lib64/libxcb.so.1
#2  0x00007ff73de53672 in xcb_wait_for_event () at /usr/lib64/libxcb.so.1
#3  0x00007ff72d52faa8 in  () at /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007ff74167c0ef in  () at /usr/lib64/libQt5Core.so.5
#5  0x00007ff73ea0a000 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007ff741211a6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7ff72dade040 (LWP 214996)):
[KCrash Handler]
#4  0x00007ff735a3e7b4 in Grantlee::TemplateImpl::render(Grantlee::OutputStream*, Grantlee::Context*) const (this=0x0, stream=0x7fffdffed9d0, c=0x7fffdffed928) at /usr/src/debug/dev-libs/grantlee-5.2.0/grantlee-5.2.0/templates/lib/template.cpp:84
#5  0x00007ff6703b3613 in  () at /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_pkpass.so
#6  0x00007ff7404be01b in MessageViewer::DefaultRendererPrivate::renderWithFactory(QMetaObject const*, QSharedPointer<MimeTreeParser::MessagePart> const&, MessageViewer::HtmlWriter*) (this=this@entry=0x5584cdc03750, mo=<optimized out>, msgPart=..., htmlWriter=htmlWriter@entry=0x5584cd695960) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/messagepartthemes/default/defaultrenderer.cpp:771
#7  0x00007ff7404c40c2 in MessageViewer::RenderContext::renderWithFactory(QSharedPointer<MimeTreeParser::MessagePart> const&, MessageViewer::HtmlWriter*) (writer=0x5584cd695960, msgPart=..., this=0x5584cdc03750) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/messagepartthemes/default/messagepartrendererbase.h:62
#8  MessageViewer::DefaultRendererPrivate::renderFactory(QSharedPointer<MimeTreeParser::MessagePart> const&, MessageViewer::HtmlWriter*) (this=0x5584cdc03750, msgPart=..., htmlWriter=0x5584cd695960) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/messagepartthemes/default/defaultrenderer.cpp:792
#9  0x00007ff7404c4dd2 in MessageViewer::DefaultRendererPrivate::renderSubParts(QSharedPointer<MimeTreeParser::MessagePart> const&, MessageViewer::HtmlWriter*) (this=0x5584cdc03750, msgPart=..., htmlWriter=0x5584cd695960) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/messagepartthemes/default/defaultrenderer.cpp:265
#10 0x00007ff7404bd90e in MessageViewer::DefaultRendererPrivate::render(QSharedPointer<MimeTreeParser::MimeMessagePart> const&, MessageViewer::HtmlWriter*) (this=0x5584cdc03750, mp=..., htmlWriter=0x5584cd695960) at /usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/include/g++-v9/bits/atomic_base.h:318
#11 0x00007ff7404c42bc in MessageViewer::DefaultRendererPrivate::renderFactory(QSharedPointer<MimeTreeParser::MessagePart> const&, MessageViewer::HtmlWriter*) (this=0x5584cdc03750, msgPart=..., htmlWriter=0x5584cd695960) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/messagepartthemes/default/defaultrenderer.cpp:804
#12 0x00007ff7404c4dd2 in MessageViewer::DefaultRendererPrivate::renderSubParts(QSharedPointer<MimeTreeParser::MessagePart> const&, MessageViewer::HtmlWriter*) (this=0x5584cdc03750, msgPart=..., htmlWriter=0x5584cd695960) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/messagepartthemes/default/defaultrenderer.cpp:265
#13 0x00007ff7404bd6e0 in MessageViewer::DefaultRendererPrivate::render(QSharedPointer<MimeTreeParser::MessagePartList> const&, MessageViewer::HtmlWriter*) (this=0x5584cdc03750, mp=..., htmlWriter=0x5584cd695960) at /usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/include/g++-v9/bits/atomic_base.h:318
#14 0x00007ff7404c4193 in MessageViewer::DefaultRendererPrivate::renderFactory(QSharedPointer<MimeTreeParser::MessagePart> const&, MessageViewer::HtmlWriter*) (this=0x5584cdc03750, msgPart=..., htmlWriter=0x5584cd695960) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/messagepartthemes/default/defaultrenderer.cpp:799
#15 0x00007ff7404c508b in MessageViewer::DefaultRenderer::render(QSharedPointer<MimeTreeParser::MessagePart> const&, MessageViewer::HtmlWriter*) (this=this@entry=0x7fffdffedea0, msgPart=..., writer=0x5584cd695960) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/messagepartthemes/default/defaultrenderer.cpp:1082
#16 0x00007ff7404eb16e in MessageViewer::EmptySource::render(QSharedPointer<MimeTreeParser::MessagePart> const&, bool) (this=0x7fffdffedf80, msgPart=..., showOnlyOneMimePart=<optimized out>) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/viewer/objecttreeemptysource.cpp:138
#17 0x00007ff7404fe9ad in MessageViewer::ViewerPrivate::parseContent(KMime::Content*) (this=0x5584cd309e80, content=0x5584ce358210) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/viewer/viewer_p.cpp:904
#18 0x00007ff74050117c in MessageViewer::ViewerPrivate::displayMessage() (this=0x5584cd309e80) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/viewer/viewer_p.cpp:850
#19 0x00007ff74050199d in MessageViewer::ViewerPrivate::updateReaderWin() (this=0x5584cd309e80) at /usr/src/debug/kde-apps/messagelib-20.04.1/messagelib-20.04.1/messageviewer/src/viewer/viewer_p.cpp:2210
#20 0x00007ff7418659b5 in  () at /usr/lib64/libQt5Core.so.5
#21 0x00007ff7418691f7 in QTimer::timeout(QTimer::QPrivateSignal) () at /usr/lib64/libQt5Core.so.5
#22 0x00007ff74185dd45 in QObject::event(QEvent*) () at /usr/lib64/libQt5Core.so.5
#23 0x00007ff74227c0b3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#24 0x00007ff7422855c0 in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#25 0x00007ff7418315fe in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#26 0x00007ff741886f2b in QTimerInfoList::activateTimers() () at /usr/lib64/libQt5Core.so.5
#27 0x00007ff7418877d1 in  () at /usr/lib64/libQt5Core.so.5
#28 0x00007ff73dfc6dfc in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#29 0x00007ff73dfc7098 in  () at /usr/lib64/libglib-2.0.so.0
#30 0x00007ff73dfc712f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#31 0x00007ff741887c50 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#32 0x00007ff74183044b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#33 0x00007ff74183855f in QCoreApplication::exec() () at /usr/lib64/libQt5Core.so.5
#34 0x00005584cb4e542b in  ()
#35 0x00007ff741132d25 in __libc_start_main (main=0x5584cb4e4420, argc=3, argv=0x7fffdffeef98, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffdffeef88) at ../csu/libc-start.c:308
#36 0x00005584cb4e55da in  ()
[Inferior 1 (process 214996) detached]

Possible duplicates by query: bug 416738.

Reported using DrKonqi
Comment 1 Victor Mataré 2020-05-18 10:28:49 UTC
On a second look at the backtrace, it's probably not the QR code, but the attached APPLE_WALLET.pkpass file.
Comment 2 Laurent Montel 2020-08-31 05:09:08 UTC
Still valid ?
Could you forward email as attachment or in private ?
Comment 3 Christoph Feck 2020-09-15 23:52:12 UTC
If you can provide the information requested in comment 2, please add a comment.
Comment 4 Bug Janitor Service 2020-09-30 04:33:13 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 5 Bug Janitor Service 2020-10-15 04:33:16 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!